This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 829727 - Review Request: ghc-lazysmallcheck - Library for demand driven testing of Haskell programs
Review Request: ghc-lazysmallcheck - Library for demand driven testing of Has...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-07 08:38 EDT by Shakthi Kannan
Modified: 2012-06-16 20:06 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-16 19:58:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Shakthi Kannan 2012-06-07 08:38:15 EDT
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/ghc-lazysmallcheck.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/ghc-lazysmallcheck-0.6-1.fc16.src.rpm
Description: A library for demand-driven testing of Haskell programs
Fedora Account System Username: shakthimaan
Comment 1 Shakthi Kannan 2012-06-07 08:40:30 EDT
$  rpmlint ghc-lazysmallcheck.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-lazysmallcheck-0.6-1.fc16.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-lazysmallcheck-0.6-1.fc16.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-lazysmallcheck-devel-0.6-1.fc16.x86_64.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Successful Koji builds for F16, F17, F18 respectively:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4135980
http://koji.fedoraproject.org/koji/taskinfo?taskID=4135981
http://koji.fedoraproject.org/koji/taskinfo?taskID=4135982
Comment 2 Narasimhan 2012-06-07 09:23:05 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i ghc-lazysmallcheck-0.6-1.fc16.src.rpm ghc-lazysmallcheck-0.6-1.fc16.x86_64.rpm ghc-lazysmallcheck-devel-0.6-1.fc16.x86_64.rpm ../ghc-lazysmallcheck.spec 
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        API documentation - OK, in devel packages
        
[+]MUST : Summary and description
[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
License is BSD
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
md5sum lazysmallcheck-0.6.tar.gz 
9a1f815146ac7934518154f1f3a3620c  lazysmallcheck-0.6.tar.gz

md5sum ghc-lazysmallcheck-0.6-1.fc16.src/lazysmallcheck-0.6.tar.gz 
9a1f815146ac7934518154f1f3a3620c  ghc-lazysmallcheck-0.6-1.fc16.src/lazysmallcheck-0.6.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-lazysmallcheck-0.6-1.fc16.x86_64
error: Failed dependencies:
        ghc(lazysmallcheck-0.6) = f4bafa6be17c01ffed218211055abfce is needed by (installed) ghc-lazysmallcheck-devel-0.6-1.fc16.x86_64
        ghc-lazysmallcheck = 0.6-1.fc16 is needed by (installed) ghc-lazysmallcheck-devel-0.6-1.fc16.x86_64
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Loaded Test.LazySmallCheck into ghci. Loads fine.

cabal2spec-diff is OK.

APPROVED.

rpm qi on the devel package gives "A lazysmallcheck library for Haskell" as the description.
I think it is better to put the  description in %common_description  so that it is used in both base and devel packages.
Comment 3 Shakthi Kannan 2012-06-07 12:21:09 EDT
Thanks for the review. Will update the description before pushing the package.

New Package SCM Request
=======================
Package Name: ghc-lazysmallcheck
Short Description: A library for demand-driven testing of Haskell programs
Owners: shakthimaan
Branches: f16 f17
InitialCC: haskell-sig
Comment 4 Jon Ciesla 2012-06-07 12:45:15 EDT
Git done (by process-git-requests).
Comment 5 Fedora Update System 2012-06-08 04:56:35 EDT
ghc-lazysmallcheck-0.6-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-lazysmallcheck-0.6-2.fc16
Comment 6 Fedora Update System 2012-06-08 04:56:44 EDT
ghc-lazysmallcheck-0.6-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-lazysmallcheck-0.6-2.fc17
Comment 7 Fedora Update System 2012-06-08 20:00:41 EDT
ghc-lazysmallcheck-0.6-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Fedora Update System 2012-06-16 19:58:56 EDT
ghc-lazysmallcheck-0.6-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 9 Fedora Update System 2012-06-16 20:06:18 EDT
ghc-lazysmallcheck-0.6-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.